<div *ngFor="let role of roles">
  <div nz-row nzGutter="12">
    <div nz-col nzSpan="12">
      {{ 'Politics.Elections.' + role.key | translate }}
    </div>
    <div nz-col nzSpan="12">
      <nz-select style="width: 100%" nzShowSearch [(ngModel)]="role.citizenId" nzAllowClear nzServerSearch
        [nzCustomTemplate]="selectedCitizenTemplate" (ngModelChange)="citizenForPositionSelected(role, $event)" (nzOnSearch)="searchCitizen($event)" >
        <nz-option *ngFor="let citizen of citizens" [nzLabel]="citizen.name" [nzValue]="citizen.id" nzCustomContent>
          <img [src]="citizen.avatar" width="25" height="25" />
          {{ citizen.name }}
        </nz-option>
      </nz-select>
      <ng-template #selectedCitizenTemplate let-selected>
        <span *ngIf="role.citizen">
          <img src="{{ role.citizen?.avatar }}" width="25" height="25" />
          {{ role.citizen?.name }}
        </span>
      </ng-template>
    </div>
  </div>
  <nz-divider></nz-divider>
</div>

<div style="text-align: center;">
  <button nz-button nzShape="round" nzType="primary" [nzLoading]="isLoading" (click)="save()">
    {{ "Common.Buttons.Save" | translate }}
    </button>
</div>
